APM-CONFIG_CONFIG-COLLECTION(1)

NAME
apm-config_config-collection -

DESCRIPTION

A collection of configuration items.

AVAILABLE COMMANDS

•   list

  list

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns all configuration items, which can optionally be filtered by configuration type.

  Usage

oci apm-config config-collection list [OPTIONS]

  Required Parameters

--apm-domain-id [text]

    The APM Domain ID the request is intended for.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--config-type [text]

    A filter to match configuration items of a given type. Supported values are SPAN_FILTER, METRIC_GROUP, and APDEX.

--defined-tag-equals [text]

    A list of tag filters to apply. Only resources with a defined tag matching the value will be returned. Each item in the list has the format “{namespace}.{tagName}.{value}”. All inputs are case-insensitive. Multiple values for the same key (i.e. same namespace and tag name) are interpreted as “OR”. Values for different keys (i.e. different namespaces, different tag names, or both) are interpreted as “AND”.

--defined-tag-exists [text]

    A list of tag existence filters to apply. Only resources for which the specified defined tags exist will be returned. Each item in the list has the format “{namespace}.{tagName}.true” (for checking existence of a defined tag) or “{namespace}.true”. All inputs are case-insensitive. Currently, only existence (“true” at the end) is supported. Absence (“false” at the end) is not supported. Multiple values for the same key (i.e. same namespace and tag name) are interpreted as “OR”. Values for different keys (i.e. different namespaces, different tag names, or both) are interpreted as “AND”.

--display-name [text]

    A filter to return resources that match the given display name.

--freeform-tag-equals [text]

    A list of tag filters to apply. Only resources with a freeform tag matching the value will be returned. The key for each tag is “{tagName}.{value}”. All inputs are case-insensitive. Multiple values for the same tag name are interpreted as “OR”. Values for different tag names are interpreted as “AND”.

--freeform-tag-exists [text]

    A list of tag existence filters to apply. Only resources for which the specified freeform tags exist the value will be returned. The key for each tag is “{tagName}.true”. All inputs are case-insensitive. Currently, only existence (“true” at the end) is supported. Absence (“false” at the end) is not supported. Multiple values for different tag names are interpreted as “AND”.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of items to return.

--options-group [text]

    A filter to return OPTIONS resources that match the given group.

--page [text]

    The maximum number of results per page, or items to return in a paginated “List” call. For information on how pagination works, see List Pagination <https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine>. Example: 50

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field to sort by. You can provide one “sortBy” value. The default order for displayName, timeCreated and timeUpdated is ascending. The displayName sort by is case-sensitive.

    Accepted values are:

    displayName, timeCreated, timeUpdated

--sort-order [text]

    The sort order to use, either ascending (ASC) or descending (DESC). The displayName sort order is case-sensitive.

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export apm_domain_id=<substitute-value-of-apm_domain_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/apm-config/config-collection/list.html#cmdoption-apm-domain-id
    oci apm-config config-collection list --apm-domain-id $apm_domain_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle